<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
	<xsl:output method="xml" indent="yes" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"/>
	<xsl:param name="message"/>
	<xsl:param name="pageTitle">Logs</xsl:param>
	<xsl:include href="namedtemplates.xsl"/>
	<xsl:template match="/">
		<html>
			<head>
				<title>
					<xsl:value-of select="$web_title"/>
				</title>
				<xsl:if test="configuration/user_data/auto_logout_time != 0">
					<xsl:element name="meta">
						<xsl:attribute name="http-equiv">refresh</xsl:attribute>
						<xsl:attribute name="content"><xsl:value-of select="(configuration/user_data/auto_logout_time * 60)+ 5"/>;URL=system.py</xsl:attribute>
					</xsl:element>
				</xsl:if>
				<xsl:call-template name="common_imports"/>
				<script language="JavaScript"><xsl:comment>
				function popUp(URL) {
					day = new Date();
					id = day.getTime();
					eval("page" + id + " = window.open(URL, '" + id + "', 'toolbar=0,scrollbars=1,location=0,statusbar=0,menubar=0,resizable=1,width=450,height=450,left = 287,top = 159');");
				}
				function NextClick() {
					var logForm = document.getElementById("logControls");
					logForm.start_message.value = parseInt(logForm.start_message.value) + 50;
					logForm.submit();
				}
				function PrevClick() {
					var logForm = document.getElementById("logControls");
					if (parseInt(logForm.start_message.value) > 0)	 {
						logForm.start_message.value = parseInt(logForm.start_message.value) - 50;
					}
					logForm.submit();
				}
				</xsl:comment></script>
			</head>
			<body onload="StartFloat();">
				<xsl:call-template name="initPage">
					<xsl:with-param name="pageName">logs.py</xsl:with-param>
					<xsl:with-param name="message" select="$message"/>
				</xsl:call-template>
				<div id="displayresultslogs">
					<h1 class="display">Logs</h1>
					<xsl:apply-templates/>
					<div id="putlogshere"/>
				</div>
			</body>		
		</html>
	</xsl:template>
	<xsl:template match="text()">
	</xsl:template>
</xsl:stylesheet>
